{% extends 'base.html' %}

{% block header %}
    <a href="{{ url_for('account.dealregist') }}">Добавить сделку</a>
{% endblock %}

{% block content %}
    <h4>Продажи</h4>
    <table border="1">
        {% for deal in seller_deals.values() %}
        <tr>
           <td>Сделка №{{ deal.id }}</td>
           <td>Лот:{{ deal.lot_id }}</td>
           <td>Аукцион:{{ deal.auct_id }}</td>
           <td>
               {% if deal and deal.is_sent == False %}
                   <a href="{{ url_for('account.send', lot_id=deal.lot_id) }}">Подтвердить отправку</a>
               {% else %}
                   Лот отправлен покупателю
               {% endif %}</td>
        </tr>
        {% endfor %}
    </table>
    <h4>Покупки</h4>
    <table border="1">
        {% for deal in buyer_deals.values() %}
        <tr>
           <td>Сделка №{{ deal.id }}</td>
           <td>Лот:{{ deal.lot_id }}</td>
           <td>Аукцион:{{ deal.auct_id }}</td>
           <td>
               {% if deal and deal.is_delivered == False %}
                   <a href="{{ url_for('account.receive', lot_id=deal.lot_id) }}">Подтвердить получение</a>
               {% else %}
                   Лот получен
               {% endif %}</td>
        </tr>
        {% endfor %}
    </table>
{% endblock %}